%define pkg_name        Template-Toolkit
%define pkg_version     2.19
%define rpm_pkg_version 2.19
%define rpm_pkg_release 1.n0i.4

Summary:       Extensive Toolkit for template processing
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/A/AB/ABW/%{pkg_name}-%{pkg_version}.tar.gz

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
%{!?_without_test:BuildRequires: perl(Test::More)}

# plug in all dependencies in the world (for proper tests & docs) ;-)
BuildRequires: tetex-dvips, tetex-latex
BuildRequires: perl(AppConfig) >= 1.55
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(GD::Graph)
BuildRequires: perl(GD::Graph3d)
BuildRequires: perl(GD::Text)
BuildRequires: perl(Image::Info)
BuildRequires: perl(Image::Size)
BuildRequires: perl(Pod::POM)
BuildRequires: perl(Text::Autoformat)
BuildRequires: perl(XML::DOM)
BuildRequires: perl(XML::RSS)
BuildRequires: perl(XML::XPath)

%global perl_filter_prov '^perl\\((bytes|CGI|XML::DOM|XML::XPath)'

%description
The Template Toolkit is a collection of modules which implement a fast,
flexible, powerful and extensible template processing system. It was
originally designed and remains primarily useful for generating dynamic web
content, but it can be used equally well for processing any other kind of
text based documents: HTML, XML, POD, PostScript, LaTeX, and so on.


%package manual
Summary:       Template Toolkit Documentation
Group:         Documentation

%description manual
The Template Toolkit is a collection of modules which implement a fast,
flexible, powerful and extensible template processing system.

This package contains TT2 documentation and default templates.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_mod}


%build
%{perl_build -- TT_ACCEPT=y TT_PREFIX=$RPM_BUILD_ROOT%{_datadir}/tt2}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}
%{fix_man}
%{__make} tt2_install tt2_splash tt2_html_docs tt2_examples
%{__grep} -rsl $RPM_BUILD_ROOT $RPM_BUILD_ROOT \
	| %{__xargs} -r %{__sed} -i 's@$RPM_BUILD_ROOT@@g'


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files -b -m}

%files manual
%defattr(-,root,root,-)
%{_datadir}/tt2


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 2.19-1.n0i.4
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 2.19

* Sun May 28 2006 Marius Feraru <altblue@n0i.net> - 2.15-1.n0i.3
- version 2.15

* Sat Mar 04 2006 Marius Feraru <altblue@n0i.net> - 2.14-2.n0i.2
- automatic rebuild (perl 5.8.8)

* Sat Jul 30 2005 Marius Feraru <altblue@n0i.net> 2.14-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7
